/*
 * Copyright (C) 2012 Giorgio Vazzana
 *
 * This file is part of parole-conference.
 *
 * parole-conference is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * parole-conference is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef NC_H
#define NC_H

#include <stdio.h>
#include <ncurses.h>

/* message buffer */
#define MBS 512
extern char              msgbuf[MBS];

/* file logging */
#define LOGFILE "error.log"
extern FILE             *fplog;

/* ncurses context */
#define LBS 512
struct NContext {
	int                  rows, cols;
	WINDOW              *win;
	/* keyboard input */
	char                 linebuf[LBS];
	int                  linepos;
	int                  nchars;
};

extern struct NContext   nctx;

void die(char *msg, int exit_code);
void log_msg(char *msg);
void print_msg(char *msg);
void print_bars(char *version);
void print_prompt(char *nick);
void clear_input_line();

#endif
